<template>
	<div class="row justify-content-center">
		<div class="col-md-8">
			<div class="card-group d-block d-md-flex shadow">
				<div class="card p-4">
					<div class="card-body">
						<h2 class="text-center">{{ title }}</h2>
						<form @submit.prevent="" accept-charset="UTF-8">
							<div class="input-group mb-3">
								<span class="input-group-text">
									<i class="fa-solid fa-envelope icon"></i>
								</span>
								<input
									type="text"
									class="form-control"
									name="email"
									placeholder="Correo electrónico"
								>
							</div>
							<div class="input-group mb-3">
								<span class="input-group-text">
									<i class="fa-solid fa-key icon"></i>
								</span>
								<input
									type="password"
									class="form-control"
									name="password"
									v-model="password"
								>
							</div>
							<div class="row">
								<div class="col">
									<div class="d-grid gap-2">
										<a :href="btnLogin.url" class="btn btn-dark btn-block" role="button">
											{{ btnLogin.title }}
                                        </a>
									</div>
									<hr>
								</div>
							</div>
							<div class="row">
								<div class="col">
									<div class="d-grid gap-2">
										<a :href="btnRegister.url" class="btn btn-light btn-block" role="button">
											{{ btnRegister.title }}
										</a>
									</div>
								</div>
								<div class="col">
									<div class="d-grid gap-2">
										<a :href="btnForget.url" class="btn btn-outline-light btn-block text-dark" role="button">
											{{ btnForget.title }}
										</a>
									</div>
								</div>
							</div>
						</form>
					</div>
				</div>
				<div class="card text-white bg-dark">
					<div class="card-body h-100">
						<div class="row align-items-center h-100">
							<img :src="`../dist/fonts/login.svg`" alt="Login" class="w-75 mx-auto">
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</template>

<script>
	import '../../../img/login.svg'
	export default {
		name : 'login',
		data: () => ({
			email     : null,
			password  : null,
			title     : 'Iniciar sesión', 	 
			btnLogin  : {
				url   : 'admin',
				title : 'Iniciar sesión'
			},
			btnRegister : {
				url   : 'register',
				title : 'Registrarse'
			},
			btnForget : {
				url   : 'forget',
				title : 'Olvidó contraseña'
			}
		}),
		methods: {
			//
		}
	};
</script>
